datablock ItemData(blockoGloveItem)
{
	category = "Weapon";  //Editor
	className = "Weapon"; //Inventory
	//Basic Properties
	shapeFile = "./models/Glove.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	//Gui
	uiName = "Glove - White";
	iconName = "./images/blockoGloveicon";
	doColorShift = False;
	colorShiftColor = "0 0 0 1.000";
	//Dynamic Light Properties
	image = blockoGloveImage;
	canDrop = false;
};

datablock ItemData(blockoGloveBlackItem)
{
	category = "Weapon";  //Editor
	className = "Weapon"; //Inventory
	//Basic Properties
	shapeFile = "./models/BlackGlove.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	//Gui
	uiName = "Glove - Black";
	iconName = "./images/blockoGloveBlackicon";
	doColorShift = False;
	colorShiftColor = "0 0 0 1.000";
	//Dynamic Light Properties
	image = blockoGloveBlackImage;
	canDrop = false;
};

datablock ShapeBaseImageData(blockoGloveImage)
{
   //Basic Properties
   shapeFile = "./models/Glove.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
  
   correctMuzzleVector = false;

   eyeoffset = "0.7 1.2 -0.5";

   className = "WeaponImage";

   // Projectile && Ammo.
   item = blockoGloveItem;
   ammo = "";
   projectile = blockoFistProjectile;
   projectileType = Projectile;

   melee = true;
   doRetraction = false;
   //raise your arm up or not
   armReady = true;
   
   doColorShift = False;
   colorShiftColor = "0 0 0 1.000";

	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.5;
	stateTransitionOnTimeout[0]      = "Ready";
	stateScript[0]                  = "onMount";
	stateSound[0]					= knuckleCrackSound;

	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "CheckFire";
	stateSequence[1]                = "Ready";
	stateAllowImageChange[1]         = true;

	stateName[2]                    = "Fire";
	stateTransitionOnTimeout[2]     = "Ready";
	stateTimeoutValue[2]            = 0.4;
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
	stateSequence[2]                = "Fire";
	stateScript[2]                  = "onFire";
	stateSound[2]					= blockoFistSwingSound;
	stateWaitForTimeout[2]		= true;

	stateName[3]			= "CheckFire";
	stateTransitionOnTriggerUp[3]	= "Ready";
	stateTransitionOnTriggerDown[3]	= "Fire";


};
function blockoGloveImage::onMount(%this, %obj, %slot)
{	
	%obj.hidenode("RHand");
}
function blockoGloveImage::onUnMount(%this, %obj, %slot)
{	
	%obj.unhidenode("RHand");
}

datablock ShapeBaseImageData(blockoGloveBlackImage)
{
   //Basic Properties
   shapeFile = "./models/BlackGlove.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
  
   correctMuzzleVector = false;

   eyeoffset = "0.7 1.2 -0.5";

   className = "WeaponImage";

   // Projectile && Ammo.
   item = blockoGloveBlackItem;
   ammo = "";
   projectile = blockoFistProjectile;
   projectileType = Projectile;

   melee = true;
   doRetraction = false;
   //raise your arm up or not
   armReady = true;
   
   doColorShift = False;
   colorShiftColor = "0 0 0 1.000";

	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.5;
	stateTransitionOnTimeout[0]      = "Ready";
	stateScript[0]                  = "onMount";
	stateSound[0]					= knuckleCrackSound;

	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "CheckFire";
	stateSequence[1]                = "Ready";
	stateAllowImageChange[1]         = true;

	stateName[2]                    = "Fire";
	stateTransitionOnTimeout[2]     = "Ready";
	stateTimeoutValue[2]            = 0.4;
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
	stateSequence[2]                = "Fire";
	stateScript[2]                  = "onFire";
	stateSound[2]					= blockoFistSwingSound;
	stateWaitForTimeout[2]		= true;

	stateName[3]			= "CheckFire";
	stateTransitionOnTriggerUp[3]	= "Ready";
	stateTransitionOnTriggerDown[3]	= "Fire";


};
function blockoGloveBlackImage::onMount(%this, %obj, %slot)
{	
	%obj.hidenode("RHand");
}
function blockoGloveBlackImage::onUnMount(%this, %obj, %slot)
{	
	%obj.unhidenode("RHand");
}