datablock ItemData(blockoFistItem)
{
	category = "Weapon";  //Editor
	className = "Weapon"; //Inventory
	//Basic Properties
	shapeFile = "./models/FistItem.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	//Gui
	uiName = "Fist - White";
	iconName = "./images/blockoFisticon";
	doColorShift = False;
	colorShiftColor = "0 0 0 1.000";
	//Dynamic Light Properties
	image = blockoFistImage;
	canDrop = false;
};

datablock ItemData(blockoFistBlackItem)
{
	category = "Weapon";  //Editor
	className = "Weapon"; //Inventory
	//Basic Properties
	shapeFile = "./models/BlackFistItem.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	//Gui
	uiName = "Fist - Black";
	iconName = "./images/blockoFistBlackicon";
	doColorShift = False;
	colorShiftColor = "0 0 0 1.000";
	//Dynamic Light Properties
	image = blockoFistBlackImage;
	canDrop = false;
};

datablock ShapeBaseImageData(blockoFistImage)
{
   //Basic Properties
   shapeFile = "./models/Fist.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
  
   correctMuzzleVector = false;

   eyeoffset = "0.7 1.2 -0.5";

   className = "WeaponImage";

   // Projectile && Ammo.
   item = blockoFistItem;
   ammo = "";
   projectile = blockoFistProjectile;
   projectileType = Projectile;

   melee = true;
   doRetraction = false;
   //raise your arm up or not
   armReady = true;
   
   doColorShift = False;
   colorShiftColor = "0 0 0 1.000";

	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.5;
	stateTransitionOnTimeout[0]      = "Ready";
	stateScript[0]                  = "onMount";
	stateSequence[0]                = "Activate";
	stateSound[0]					= knuckleCrackSound;

	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "CheckFire";
	stateSequence[1]                = "Ready";
	stateAllowImageChange[1]         = true;

	stateName[2]                    = "Fire";
	stateTransitionOnTimeout[2]     = "Ready";
	stateTimeoutValue[2]            = 0.4;
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
	stateSequence[2]                = "Fire";
	stateScript[2]                  = "onFire";
	stateSound[2]					= blockoFistSwingSound;
	stateWaitForTimeout[2]		= true;

	stateName[3]			= "CheckFire";
	stateTransitionOnTriggerUp[3]	= "Ready";
	stateTransitionOnTriggerDown[3]	= "Fire";


};
function blockoFistImage::onMount(%this, %obj, %slot)
{	
	%obj.hidenode("RHand");
}
function blockoFistImage::onUnMount(%this, %obj, %slot)
{	
	%obj.unhidenode("RHand");
}

datablock ShapeBaseImageData(blockoFistBlackImage)
{
   //Basic Properties
   shapeFile = "./models/BlackFist.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
  
   correctMuzzleVector = false;

   eyeoffset = "0.7 1.2 -0.5";

   className = "WeaponImage";

   // Projectile && Ammo.
   item = blockoFistBlackItem;
   ammo = "";
   projectile = blockoFistProjectile;
   projectileType = Projectile;

   melee = true;
   doRetraction = false;
   //raise your arm up or not
   armReady = true;
   
   doColorShift = False;
   colorShiftColor = "0 0 0 1.000";

	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.5;
	stateTransitionOnTimeout[0]      = "Ready";
	stateScript[0]                  = "onMount";
	stateSequence[0]                = "Activate";
	stateSound[0]					= knuckleCrackSound;

	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "CheckFire";
	stateSequence[1]                = "Ready";
	stateAllowImageChange[1]         = true;

	stateName[2]                    = "Fire";
	stateTransitionOnTimeout[2]     = "Ready";
	stateTimeoutValue[2]            = 0.4;
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
	stateSequence[2]                = "Fire";
	stateScript[2]                  = "onFire";
	stateSound[2]					= blockoFistSwingSound;
	stateWaitForTimeout[2]		= true;

	stateName[3]			= "CheckFire";
	stateTransitionOnTriggerUp[3]	= "Ready";
	stateTransitionOnTriggerDown[3]	= "Fire";


};
function blockoFistBlackImage::onMount(%this, %obj, %slot)
{	
	%obj.hidenode("RHand");
}
function blockoFistBlackImage::onUnMount(%this, %obj, %slot)
{	
	%obj.unhidenode("RHand");
}