datablock AudioProfile(knuckleCrackSound)
{
   filename    = "./sounds/knuckleCrack.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(blockoFistHitSound)
{
   filename    = "./sounds/blockoFistHit.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(blockoFistSwingSound)
{
   filename    = "./sounds/blockoFistSwing.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock ParticleData(blockoFistExplosionParticle)
{
   dragCoefficient      = 2;
   gravityCoefficient   = 1.0;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   spinRandomMin = -90;
   spinRandomMax = 90;
   lifetimeMS           = 500;
   lifetimeVarianceMS   = 300;
   textureName          = "Add-Ons/Weapon_Blocko_Fist/images/blockoFistchunks";
   colors[0]     = "0.7 0.7 0.9 0.9";
   colors[1]     = "0.9 0.9 0.9 0.0";
   sizes[0]      = 0.5;
   sizes[1]      = 0.25;
};

datablock ParticleEmitterData(blockoFistExplosionEmitter)
{
   ejectionPeriodMS = 7;
   periodVarianceMS = 0;
   ejectionVelocity = 8;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 60;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "blockoFistExplosionParticle";
};

datablock ExplosionData(blockoFistExplosion)
{
   lifeTimeMS = 500;

   soundProfile = blockoFistHitSound;

   particleEmitter = blockoFistExplosionEmitter;
   particleDensity = 10;
   particleRadius = 0.2;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic Light
   lightStartRadius = 0.3;
   lightEndRadius = 0;
   lightStartColor = "00.0 0.2 0.6";
   lightEndColor = "0 0 0";
};


//Projectile
AddDamageType("blockoFist",   '<bitmap:add-ons/Weapon_Blocko_Fist/images/CI_blockoFist> %1',    '%2 <bitmap:add-ons/Weapon_Blocko_Fist/images/CI_blockoFist> %1',0.75,1);
datablock ProjectileData(blockoFistProjectile)
{
   directDamage        = 15;
   directDamageType  = $DamageType::blockoFist;
   radiusDamageType  = $DamageType::blockoFist;
   explosion           = blockoFistExplosion;

   brickExplosionRadius = 0;
   brickExplosionImpact = true;
   brickExplosionForce  = 230;
   brickExplosionMaxVolume = 1;
   brickExplosionMaxVolumeFloating = 1;

   muzzleVelocity      = 50;
   velInheritFactor    = 1;

   armingDelay         = 0;
   lifetime            = 100;
   fadeDelay           = 70;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";

   uiName = "Blocko Fist Hit";
};